Xalan-Java 2.7.1: Class TemplatesHandlerImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.trax
Class TemplatesHandlerImpl

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.trax.TemplatesHandlerImpl

public class TemplatesHandlerImpl
extends java.lang.Object
implements ContentHandler, TemplatesHandler, SourceLoader

Implementation of a JAXP1.1 TemplatesHandler

Method Summary
`void` | `characters(char[] ch, int start, int length)` Just forward SAX2 event to parser object.
`void` | `endDocument()` Just forward SAX2 event to parser object.
`void` | `endElement(java.lang.String uri, java.lang.String localname, java.lang.String qname)` Just forward SAX2 event to parser object.
`void` | `endPrefixMapping(java.lang.String prefix)` Just forward SAX2 event to parser object.
`java.lang.String` | `getSystemId()` Implements javax.xml.transform.sax.TemplatesHandler.getSystemId() Get the base ID (URI or system ID) from where relative URLs will be resolved.
`Templates` | `getTemplates()` Implements javax.xml.transform.sax.TemplatesHandler.getTemplates() When a TemplatesHandler object is used as a ContentHandler or DocumentHandler for the parsing of transformation instructions, it creates a Templates object, which the caller can get once the SAX events have been completed.
`void` | `ignorableWhitespace(char[] ch, int start, int length)` Just forward SAX2 event to parser object.
`InputSource` | `loadSource(java.lang.String href, java.lang.String context, XSLTC xsltc)` This method implements XSLTC's SourceLoader interface.
`void` | `processingInstruction(java.lang.String name, java.lang.String value)` Just forward SAX2 event to parser object.
`void` | `setDocumentLocator(Locator locator)` Set internal system Id and forward SAX2 event to parser object.
`void` | `setSystemId(java.lang.String id)` Implements javax.xml.transform.sax.TemplatesHandler.setSystemId() Get the base ID (URI or system ID) from where relative URLs will be resolved.
`void` | `setURIResolver(URIResolver resolver)` Store URIResolver needed for Transformers.
`void` | `skippedEntity(java.lang.String name)` Just forward SAX2 event to parser object.
`void` | `startDocument()` Re-initialize parser and forward SAX2 event.
`void` | `startElement(java.lang.String uri, java.lang.String localname, java.lang.String qname, Attributes attributes)` Just forward SAX2 event to parser object.
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` Just forward SAX2 event to parser object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSystemId

    public java.lang.String getSystemId()

  Implements javax.xml.transform.sax.TemplatesHandler.getSystemId() Get the base ID (URI or system ID) from where relative URLs will be resolved.
  Specified by:
    getSystemId in interface TemplatesHandler
  Returns:
    The systemID that was set with setSystemId(String id)

### setSystemId

    public void setSystemId(java.lang.String id)

  Implements javax.xml.transform.sax.TemplatesHandler.setSystemId() Get the base ID (URI or system ID) from where relative URLs will be resolved.
  Specified by:
    setSystemId in interface TemplatesHandler
  Parameters:
    `id` - Base URI for this stylesheet

### setURIResolver

    public void setURIResolver(URIResolver resolver)

  Store URIResolver needed for Transformers.

### getTemplates

    public Templates getTemplates()

  Implements javax.xml.transform.sax.TemplatesHandler.getTemplates() When a TemplatesHandler object is used as a ContentHandler or DocumentHandler for the parsing of transformation instructions, it creates a Templates object, which the caller can get once the SAX events have been completed.
  Specified by:
    getTemplates in interface TemplatesHandler
  Returns:
    The Templates object that was created during the SAX event process, or null if no Templates object has been created.

### loadSource

    public InputSource loadSource(java.lang.String href,
                                  java.lang.String context,
                                  XSLTC xsltc)

  This method implements XSLTC's SourceLoader interface. It is used to glue a TrAX URIResolver to the XSLTC compiler's Input and Import classes.
  Specified by:
    loadSource in interface SourceLoader
  Parameters:
    `href` - The URI of the document to load
    `context` - The URI of the currently loaded document
    `xsltc` - The compiler that resuests the document
  Returns:
    An InputSource with the loaded document

### startDocument

    public void startDocument()

  Re-initialize parser and forward SAX2 event.
  Specified by:
    startDocument in interface ContentHandler

### endDocument

    public void endDocument()
                     throws SAXException

  Just forward SAX2 event to parser object.
  Specified by:
    endDocument in interface ContentHandler

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)

  Just forward SAX2 event to parser object.
  Specified by:
    startPrefixMapping in interface ContentHandler

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)

  Just forward SAX2 event to parser object.
  Specified by:
    endPrefixMapping in interface ContentHandler

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localname,
                             java.lang.String qname,
                             Attributes attributes)
                      throws SAXException

  Just forward SAX2 event to parser object.
  Specified by:
    startElement in interface ContentHandler

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localname,
                           java.lang.String qname)

  Just forward SAX2 event to parser object.
  Specified by:
    endElement in interface ContentHandler

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  Just forward SAX2 event to parser object.
  Specified by:
    characters in interface ContentHandler

### processingInstruction

    public void processingInstruction(java.lang.String name,
                                      java.lang.String value)

  Just forward SAX2 event to parser object.
  Specified by:
    processingInstruction in interface ContentHandler

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)

  Just forward SAX2 event to parser object.
  Specified by:
    ignorableWhitespace in interface ContentHandler

### skippedEntity

    public void skippedEntity(java.lang.String name)

  Just forward SAX2 event to parser object.
  Specified by:
    skippedEntity in interface ContentHandler

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Set internal system Id and forward SAX2 event to parser object.
  Specified by:
    setDocumentLocator in interface ContentHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.